
CoCoALib - Support #1452

Release CoCoALib-0.99710

30 Apr 2020 14:46 - Anna Maria Bigatti

Status: Closed Start date: 30 Apr 2020

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Various Estimated time: 0.00 hour

Target version: CoCoALib-0.99710 Spent time: 0.10 hour

Description

Everything related to making a CoCoALib release:

Redmine Roadmap: close or postpone issue

Redmine Release issues: check percentages, check timings

Finalize

make veryclean; make (full make, with all tests and examples and CoCoA-5..)

cd src/tests/; make valgrind

cd src/CoCoA-5; make ManExamples

~/shell-scripts/cocoalib-cvs-snapshot

upload examples

upload manual

update webpage

publish manual (arXiv? ResearchGate?)

close release on Redmine

--> send message to facebook page

Related issues:

Related to CoCoA-5 - Support #1450: Release CoCoA-5.3.2 Closed 30 Apr 2020

Related to CoCoALib - Support #1481: Release CoCoALib 0.99800 Closed 28 Aug 2020

History

#1 - 30 Apr 2020 14:47 - Anna Maria Bigatti

- Related to Support #1450: Release CoCoA-5.3.2 added

#2 - 20 May 2020 13:27 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

Anna should register her time on this issue, and then close it.

#3 - 09 Oct 2020 14:15 - Anna Maria Bigatti

- Subject changed from Release CoCoA-5.3.2 to Release CoCoALib-0.99710

#4 - 09 Oct 2020 14:16 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#5 - 07 Mar 2022 10:05 - Anna Maria Bigatti

- Related to Support #1481: Release CoCoALib 0.99800 added
